import React from "react";
import "./Input.css";

function Input(_ref) {
  var type = _ref.type,
      label = _ref.label,
      name = _ref.name,
      placeholder = _ref.placeholder,
      handleOnChange = _ref.handleOnChange,
      value = _ref.value;
  return /*#__PURE__*/React.createElement("div", {
    className: "form_control"
  }, label && /*#__PURE__*/React.createElement("label", {
    htmlFor: name
  }, label), /*#__PURE__*/React.createElement("input", {
    className: "input-text",
    type: type,
    name: name,
    id: name,
    placeholder: placeholder,
    onChange: handleOnChange,
    value: value
  }));
}

export default Input;